ChartDirector Ver 5.0 (PHP Edition)

Axis.setMultiFormat2

Usage

setMultiFormat2(filterId, formatString [, labelSpan [, promoteFirst ]])

Description

Adds one filter and format string to the multi-format lists.
Please refer to Axis.setMultiFormat on how to use this method.

Arguments

Argument | Default | Description
--- | --- | ---
filterId | (Mandatory) | The filter that defines a subset of labels.
formatString | (Mandatory) | The format string for formatting the subset defined by the above filter.
labelSpan | 1 | The number of label positions that are claimed by one label. If a label occupies more than 1 position, ChartDirector will not put labels on nearby positions, even if they meet the filter criteria.
promoteFirst | true (non-zero) | If set to true, the first label will be promoted to a higher filter category in the multi-format list.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.